Subject: Re: isolated repeats or other signs

From: Pierre Perol-Schneider <[email-masked]>
Date: Wed, 28 Jan 2015 17:59:15 +0100

<please respend to the list>

Mike,

see :

\version "2.18.2"
\include "english.ly"

doubleSlash =
\markup
\with-dimensions #'(-2 . 2) #'(0 . 0)
\concat {
  \rotate #90 \beam #2 #-1 #0.58
  \hspace #-1
  \rotate #90 \beam #2 #-1 #0.58
}

\score {
  \relative c' {
    \key d \minor
    \time 4/4
     \set Score.currentBarNumber = #62 \bar "" %% <= to show
currentBarNumber
     s1-\tweak extra-offset #'(0 . -1.5) ^\markup {
\doubleSlash\doubleSlash\doubleSlash } \bar "" s1  \bar "|" r2 d4~\<
\tuplet 3/2 { d8 e d\! } \bar "||" \key d \major
     fs2.\mf  e8( d) \bar "|" b2.( d4) \bar "|" a1~ | a2~\> a8 r d\< ( e16
d\!)
     fs2. e8( d) \bar "|"  b2.( d4) \bar "|" a1~ | a1\>  \bar "|" r1\! \bar
"|"
     r2 r4 e'4\mp ~ \bar "|" e2 d4( cs) \bar "|" cs2.\< fs4\! \bar "|" g2 e
\bar "|"
     d2.\> r8\! b \bar "|" \time 6/4 a4( fs') e2~\> e8\! r d4-- \bar "||"
\time 12/8
     d1.\> \bar "|" R1.\! \bar "||"
     s1. -\tweak extra-offset #'(-.5 . -1.5) ^\markup {
\doubleSlash\doubleSlash\doubleSlash } \bar "||"
  }
  \layout {
    indent = 0
    system-count = 3
  }
}

Pierre

2015-01-28 17:45 GMT+01:00 Mike Dean <[email-masked]>:

> much better... but I'm looking to have the double slashes on the staff
> (see the attached pdf....)
> Thanks for your S-O-S!
>
> Mike Dean
>
> On Wed, Jan 28, 2015 at 11:38 AM, Mike Dean <[email-masked]> wrote:
>
>> I'll give it a go.
>> (however, I need to retain the
>> #(set-default-paper-size "letter")
>> command to ensure that it will on an 8.5 by 11 page rather than A4)
>>
>> Mike Dean
>>
>> On Wed, Jan 28, 2015 at 11:30 AM, Pierre Perol-Schneider <
>> [email-masked]> wrote:
>>
>>> <please repond the the list>
>>>
>>> Hi Mike,
>>>
>>> How about:
>>>
>>> \version "2.18.2"
>>> \include "english.ly"
>>>
>>> doubleSlash = \markup\concat {
>>>   \rotate #90 \beam #2 #-1 #0.58
>>>   \hspace #-1
>>>   \rotate #90 \beam #2 #-1 #0.58
>>> }
>>>
>>> \markup {
>>>   \doubleSlash  \doubleSlash \doubleSlash
>>>   \raise #-.5
>>>   \score {
>>>     \new Staff {
>>>       \relative c' {
>>>         \key d \minor
>>>         \time 4/4
>>>          \set Score.currentBarNumber = #62 \bar "" %% <= to show
>>> currentBarNumber
>>>          s1  \bar "" s1  \bar "|" r2 d4~\< \tuplet 3/2 { d8 e d\! } \bar
>>> "||" \key d \major
>>>          fs2.\mf  e8( d) \bar "|" b2.( d4) \bar "|" a1~ | a2~\> a8 r d\<
>>> ( e16 d\!)
>>>          fs2. e8( d) \bar "|"  b2.( d4) \bar "|" a1~ | a1\>  \bar "|"
>>> r1\! \bar "|"
>>>          r2 r4 e'4\mp ~ \bar "|" e2 d4( cs) \bar "|" cs2.\< fs4\! \bar
>>> "|" g2 e \bar "|"
>>>          d2.\> r8\! b \bar "|" \time 6/4 a4( fs') e2~\> e8\! r d4-- \bar
>>> "||" \time 12/8
>>>          d1.\> \bar "|" R1.\! \bar "||" s1.  \bar "" s1. \bar "||"
>>>       }
>>>    }
>>>    \layout {
>>>      indent = 0
>>>      line-width = 135
>>>    }
>>>   }
>>>   \hspace #1
>>>   \lower #40 { \doubleSlash \doubleSlash \doubleSlash }
>>> }
>>>
>>> HTH,
>>> Pierre
>>>
>>>
>>> 2015-01-28 17:13 GMT+01:00 Mike Dean <[email-masked]>:
>>>
>>>> Great, I think....
>>>>
>>>> doubleSlash = \markup\concat {
>>>>   \rotate #90 \beam #2 #-1 #0.58
>>>>   \hspace #-.8
>>>>   \rotate #90 \beam #2 #-1 #0.58
>>>> }
>>>> \markup {
>>>>   \doubleSlash  \doubleSlash \doubleSlash
>>>> \raise #-.5 \score { {
>>>>
>>>>   \relative c' {
>>>>   \key d \minor
>>>>   \time 4/4
>>>>    \set Score.currentBarNumber = #62
>>>>    s1  \bar "" s1  \bar "|" r2 d4~\< \tuplet 3/2 { d8 e d\! } \bar "||"
>>>> \key d \major
>>>>    fs2.\mf  e8( d) \bar "|" b2.( d4) \bar "|" a1~ | a2~\> a8 r d\< (
>>>> e16 d\!)
>>>>    fs2. e8( d) \bar "|" b2.( d4) \bar "|" a1~ | a1\>  \bar "|" r1\!
>>>> \bar "|"
>>>>    r2 r4 e'4\mp ~ \bar "|" e2 d4( cs) \bar "|" cs2.\< fs4\! \bar "|" g2
>>>> e \bar "|"
>>>>    d2.\> r8\! b \bar "|" \time 6/4 a4( fs') e2~\> e8\! r d4-- \bar "||"
>>>> \time 12/8
>>>>    d1.\> \bar "|" R1.\! \bar "||" s1.  \bar "" s1. \bar "||"
>>>> } \layout { indent = 0 } }
>>>>   \doubleSlash \doubleSlash \doubleSlash
>>>>
>>>>
>>>> } }
>>>>
>>>> I know I did something incorrectly in bracketing the passage:
>>>>
>>>> Starting lilypond-windows.exe 2.18.2 [hibernia-excerpt.ly]...
>>>>
>>>> Processing
>>>> `c:/users/mike/appdata/local/temp/frescobaldi-80g5th/tmp0wzrx3/
>>>> hibernia-excerpt.ly'
>>>>
>>>> Parsing...
>>>>
>>>>
>>>> c:/users/mike/appdata/local/temp/frescobaldi-80g5th/tmp0wzrx3/hibernia-excerpt.ly:30:3
>>>> <http://0>: error: syntax error, unexpected \layout
>>>>
>>>> }
>>>>
>>>> \layout { indent = 0 } }
>>>>
>>>>
>>>> c:/users/mike/appdata/local/temp/frescobaldi-80g5th/tmp0wzrx3/hibernia-excerpt.ly:30:13
>>>> <http://1>: error: unrecognized string, not in text script or
>>>> \lyricmode
>>>>
>>>> } \layout {
>>>>
>>>> indent = 0 } }
>>>>
>>>>
>>>> c:/users/mike/appdata/local/temp/frescobaldi-80g5th/tmp0wzrx3/hibernia-excerpt.ly:18:22
>>>> <http://2>: error: errors found, ignoring music expression
>>>>
>>>> \raise #-.5 \score {
>>>>
>>>> {
>>>>
>>>> warning: no systems found in \score markup, does it have a \layout
>>>> block?
>>>>
>>>> Finding the ideal number of pages...
>>>>
>>>> Fitting music on 1 page...
>>>>
>>>> Drawing systems...
>>>>
>>>> Layout output to `hibernia-excerpt.ps'...
>>>>
>>>> Converting to `./hibernia-excerpt.pdf'...
>>>>
>>>> fatal error: failed files:
>>>> "c:\\users\\mike\\appdata\\local\\temp\\frescobaldi-80g5th\\tmp0wzrx3\\
>>>> hibernia-excerpt.ly"
>>>>
>>>> Exited with return code 1.
>>>>
>>>>
>>>> Mike Dean
>>>>
>>>> On Wed, Jan 28, 2015 at 10:02 AM, Pierre Perol-Schneider <
>>>> [email-masked]> wrote:
>>>>
>>>>> Hi,
>>>>>
>>>>> see : http://lsr.di.unimi.it/LSR/Item?id=908
>>>>>
>>>>> %% example %%
>>>>>
>>>>> \version "2.18.2"
>>>>>
>>>>> simile = \markup {
>>>>>   \combine
>>>>>   \translate #'(0.2 . 1.5)
>>>>>   \draw-circle #0.22 #0 ##t
>>>>>   \combine
>>>>>   \translate #'(1.8 . 0.5)
>>>>>   \draw-circle #0.22 #0 ##t
>>>>>   \rotate #90
>>>>>   \translate#'(0 . 2)
>>>>>   \beam #2 #-1 #0.58
>>>>> }
>>>>>
>>>>> \markup {
>>>>>   \simile\simile\simile
>>>>>   %% some music
>>>>>   \raise #1 \score { { c' c' c' c' } \layout { indent = 0 } }
>>>>>   \simile\simile\simile
>>>>> }
>>>>>
>>>>> doubleSlash = \markup\concat {
>>>>>   \rotate #90 \beam #2 #-1 #0.58
>>>>>   \hspace #-.8
>>>>>   \rotate #90 \beam #2 #-1 #0.58
>>>>> }
>>>>>
>>>>> \markup {
>>>>>   \doubleSlash  \doubleSlash \doubleSlash
>>>>>   %% some music
>>>>>   \raise #-.5 \score { { c' c' c' c' } \layout { indent = 0 } }
>>>>>   \doubleSlash \doubleSlash \doubleSlash
>>>>> }
>>>>>
>>>>> HTH,
>>>>> Pierre
>>>>>
>>>>> 2015-01-28 2:05 GMT+01:00 Mike Dean <[email-masked]>:
>>>>>
>>>>>> Hi:
>>>>>> I am looking for a way to use isolated repeat symbols to bracket an
>>>>>> except of music I am setting (specifically, using three such symbols, the
>>>>>> excerpt, and three such symbols)
>>>>>> Alternatively, could use one double-percent symbol at each end,
>>>>>> without the dots...
>>>>>>
>>>>>> Mike Dean
>>>>>>
>>>>>> _______________________________________________
>>>>>> lilypond-user mailing list
>>>>>> [email-masked]
>>>>>> https://lists.gnu.org/mailman/listinfo/lilypond-user
>>>>>>
>>>>>>
>>>>>
>>>>
>>>
>>
>